Page MenuHomeFreeBSD

Correct definitions in sys.opencrypto.runtests.main for 32bit platform
ClosedPublic

Authored by lwhsu on Jul 9 2019, 4:55 PM.

Details

Summary

sys.opencrypto.runtests.main tests are always failing on 32bit platform,
correct these definitions from sys/opencrypto/cryptodev.h .

Test Plan

cd /usr/tests/sys/opencrypto/ && kyua test

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lwhsu created this revision.Jul 9 2019, 4:55 PM
cem accepted this revision.Jul 9 2019, 4:58 PM

No objection.

This revision is now accepted and ready to land.Jul 9 2019, 4:58 PM
jhb accepted this revision.Jul 9 2019, 7:11 PM

Nice. I was just planning on looking why these tests fail on i386. Thanks!

ngie added a comment.Jul 10 2019, 5:02 AM

This should actually be obtained via ctypes.

lwhsu added a comment.Jul 16 2019, 7:41 AM
In D20894#452944, @ngie wrote:

This should actually be obtained via ctypes.

It will be great if this is possible. I wanted to check how to do so but I don't have much time on it right now. If you can point me some example, I can fix this soon. Thanks!